Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007848 [DCSS] Source Cleanup minor have not tried 2013-12-11 11:39 2014-01-08 22:58
Reporter Cedor View Status public  
Assigned To Medar
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007848: food eating
Description some attemp to make a bit of code cleaning after finding duplicated code (eat_floor_item et eat_inventory_item in food.cc). Need comments (on style, and further moves).
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-item-eating-cleaning-code.patch [^] (9,827 bytes) 2013-12-11 11:39 [Show Content]

- Relationships

-  Notes
(0024690)
Cedor (reporter)
2013-12-11 11:41

removed eat_item from l_food.cc (code inserted in unique caller food_eat), and use it in food.cc in place of the 2 duplicated functions. I was tempted to keep the 2 functions, and made them call the new common fucntion, but thought direct call is better.
(0024717)
Medar (developer)
2013-12-12 11:49

Pushed with minor fixes to trunk, 0.14-a0-1446-ga7e5483.

Thanks!

- Issue History
Date Modified Username Field Change
2013-12-11 11:39 Cedor New Issue
2013-12-11 11:39 Cedor File Added: 0001-item-eating-cleaning-code.patch
2013-12-11 11:41 Cedor Note Added: 0024690
2013-12-12 11:49 Medar Note Added: 0024717
2013-12-12 11:49 Medar Status new => resolved
2013-12-12 11:49 Medar Fixed in Branch => 0.14 development branch
2013-12-12 11:49 Medar Resolution open => done
2013-12-12 11:49 Medar Assigned To => Medar
2014-01-08 22:58 Cedor Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker